Page MenuHomePhabricator

Re-enable two-pass .ogv encoding after updating ffmpeg2theora
Closed, ResolvedPublic

Description

Two-pass encoding for .ogv transcodes with ffmpeg2theora are currently disabled; it was briefly re-enabled but turned out to be too flaky (T109608) with our current ffmpeg2theora, which is probably when it was disabled to begin with. ;)

Since I can't reproduce the encoding failures with updated ffmpeg2theora versions on Trusty in Vagrant, I think it should be safe to turn it back on after updating the video scalers.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterRe-enable 2-pass Theora encoding

Event Timeline

brion created this task.Aug 19 2015, 11:26 PM
brion claimed this task.
brion raised the priority of this task from to Normal.
brion updated the task description. (Show Details)
brion added a subscriber: brion.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 19 2015, 11:26 PM
Paladox set Security to None.Aug 25 2015, 8:14 PM
Paladox added a subscriber: Paladox.
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Sep 4 2015, 6:22 PM

Change 240446 had a related patch set uploaded (by Brion VIBBER):
Re-enable 2-pass Theora encoding

https://gerrit.wikimedia.org/r/240446

Change 240446 merged by jenkins-bot:
Re-enable 2-pass Theora encoding

https://gerrit.wikimedia.org/r/240446

TheDJ closed this task as Resolved.Sep 29 2015, 5:55 PM
TheDJ removed a project: Patch-For-Review.